﻿Public Class Form1
    Dim NSDC As New NSDConvert
    Dim E_List() As NSDConvert.NSD_ENCODING_INFO
    Dim CmbBox() As ComboBox

    ' ファイル変換.
    Private Sub Button1_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button1.Click
        Try
            Dim Str_File1 As String = Me.TextBox1.Text.Trim
            Dim Str_File2 As String = Me.TextBox2.Text.Trim

            ' ファイルを変換します.
            If NSDC.ConvertFile(Str_File1, Str_File2, _
                                Me.ComboBox1.SelectedItem, _
                                Me.ComboBox2.SelectedItem, _
                                Me.CheckBox1.Checked) Then
                MsgBox("変換しました。")
            Else
                MsgBox("変換に失敗しました。")
            End If
        Catch ex As Exception
        End Try
    End Sub

    #Region "参照ボタン."
        ' 参照.
        Private Sub Button2_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button2.Click
            Button_Click(0)
        End Sub

        Private Sub Button3_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button3.Click
            Button_Click(1)
        End Sub

        Private Sub Button8_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button8.Click
            Button_Click(2)
        End Sub

        Private Sub Button11_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button11.Click
            Button_Click(3)
        End Sub

        Private Sub Button13_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button13.Click
            Button_Click(4)
        End Sub

        Private Sub Button14_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button14.Click
            Button_Click(5)
        End Sub

        Private Sub Button18_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button18.Click
            Button_Click(6)
        End Sub

        Private Sub Button19_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button19.Click
            Button_Click(7)
        End Sub

        Private Sub Button_Click( ByVal Index As Integer)
            Try
                Dim Cls_Text As TextBox = Nothing

                Select Case Index
                    Case 0: Cls_Text = Me.TextBox1
                    Case 1: Cls_Text = Me.TextBox2
                    Case 2: Cls_Text = Me.TextBox7
                    Case 3: Cls_Text = Me.TextBox8
                    Case 4: Cls_Text = Me.TextBox9
                    Case 5: Cls_Text = Me.TextBox10
                    Case 6: Cls_Text = Me.TextBox11
                    Case 7: Cls_Text = Me.TextBox12
                End Select

                If (Index Mod 2) = 0 Then
                    Using OFD As New OpenFileDialog
                        With OFD
                            .FileName = Cls_Text.Text.Trim
                            If .ShowDialog = Windows.Forms.DialogResult.OK Then
                                Cls_Text.Text = .FileName
                            End If
                        End With
                    End Using
                Else
                    Using OFD As New SaveFileDialog
                        With OFD
                            .FileName = Cls_Text.Text.Trim
                            If .ShowDialog = Windows.Forms.DialogResult.OK Then
                                Cls_Text.Text = .FileName
                            End If
                        End With
                    End Using
                End If
            Catch ex As Exception
            End Try
        End Sub

    #End Region

    ' Form Loadイベント.
    Private Sub Form1_Load( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles MyBase.Load
        Try
            E_List = NSDC.GetEncodingInfo()

            ReDim CmbBox(0 To 6)
            CmbBox(0) = Me.ComboBox1
            CmbBox(1) = Me.ComboBox2
            CmbBox(2) = Me.ComboBox3
            CmbBox(3) = Me.ComboBox4
            CmbBox(4) = Me.ComboBox5
            CmbBox(5) = Me.ComboBox6
            CmbBox(6) = Me.ComboBox7
            For Int_Loop As Integer = 0 To CmbBox.Length - 1
                With CmbBox(Int_Loop)
                    For Int_Loop2 As Integer = 0 To E_List.Length - 1
                        .Items.Add(E_List(Int_Loop2).Name)
                    Next Int_Loop2

                    For Int_Loop2 As Integer = 0 To .Items.Count - 1
                        If .Items(Int_Loop2).ToString = "shift_jis" Then
                            .SelectedItem = .Items(Int_Loop2)
                            Exit For
                        End If
                    Next Int_Loop2
                End With
            Next Int_Loop

            Me.CheckBox2.Checked = NSDC.UrlEncodeSpacePlus

        Catch ex As Exception
        Finally
        End Try
    End Sub

    ' JIS→句点.
    Private Sub Button4_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button4.Click
        Try
            If IsNumeric(Me.TextBox3.Text) Then
                Dim Int_Kuten As Int16
                If NSDC.JisToKuten(CInt(Me.TextBox3.Text.Trim), Int_Kuten) Then
                    Me.TextBox4.Text = "&H" & Hex(Int_Kuten)
                Else
                    MsgBox("句点に変換できません。")
                End If
            Else
                MsgBox("句点に変換できません。")
            End If
        Catch ex As Exception
            MsgBox("句点に変換できません。")
        End Try
    End Sub

    ' 句点→JIS.
    Private Sub Button5_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button5.Click
        Try
            If IsNumeric(Me.TextBox3.Text) Then
                Dim Int_JIS As Int16
                If NSDC.KutenToJIS(CInt(Me.TextBox3.Text.Trim), Int_JIS) Then
                    Me.TextBox4.Text = "&H" & Hex(Int_JIS)
                Else
                    MsgBox("JISに変換できません。")
                End If
            Else
                MsgBox("JISに変換できません。")
            End If
        Catch ex As Exception
            MsgBox("JISに変換できません。")
        End Try
    End Sub

    ' Urlエンコード.
    Private Sub Button6_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button6.Click
        Try
            Dim Str_Url As String = Me.TextBox5.Text.Trim
            NSDC.UrlEncodeSpacePlus = Me.CheckBox2.Checked
            Me.TextBox6.Text = NSDC.UrlEncode(Str_Url, Me.ComboBox2.SelectedItem)
        Catch ex As Exception
        End Try
    End Sub

    ' Urlデコード.
    Private Sub Button7_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button7.Click
        Try
            Dim Str_Url As String = Me.TextBox5.Text.Trim
            NSDC.UrlEncodeSpacePlus = Me.CheckBox2.Checked
            Me.TextBox6.Text = NSDC.UrlDecode(Str_Url, Me.ComboBox2.SelectedItem)
        Catch ex As Exception
        End Try
    End Sub

    ' QuotedPrintableにエンコードします.
    Private Sub Button9_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button9.Click
        Try
            Dim Str_File1 As String = Me.TextBox7.Text.Trim
            Dim Str_File2 As String = Me.TextBox8.Text.Trim

            ' ファイルをQuotedPrintableにエンコードします.
            If NSDC.EncodeQuotedPrintableToFile(Str_File1, _
                                               Str_File2, _
                                               Me.ComboBox4.SelectedItem) Then
                MsgBox("エンコードしました。")
            Else
                MsgBox("エンコードに失敗しました。")
            End If
        Catch ex As Exception
        End Try
    End Sub

    ' QuotedPrintableをデコードします.
    Private Sub Button10_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button10.Click
        Try
            Dim Str_File1 As String = Me.TextBox7.Text.Trim
            Dim Str_File2 As String = Me.TextBox8.Text.Trim

            ' ファイルをQuotedPrintableからデコードします.
            If NSDC.DecodeQuotedPrintableToFile(Str_File1, _
                                               Str_File2, _
                                               Me.ComboBox5.SelectedItem) Then
                MsgBox("デコードしました。")
            Else
                MsgBox("デコードに失敗しました。")
            End If
        Catch ex As Exception
        End Try
    End Sub

    ' Uuencode.
    Private Sub Button12_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button12.Click
        Try
            Dim Str_File1 As String = Me.TextBox9.Text.Trim
            Dim Str_File2 As String = Me.TextBox10.Text.Trim

            ' ファイルをUuencodeします.
            If NSDC.UuencodeFile(Str_File1, Str_File2, "666", "", NSDConvert.RETURN_MARK.Lf) Then
                MsgBox("Uuencodeしました。")
            Else
                MsgBox("Uuencodeに失敗しました。")
            End If
        Catch ex As Exception
        End Try
    End Sub

    ' Uudecode.
    Private Sub Button15_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button15.Click
        Try
            Dim Str_File1 As String = Me.TextBox9.Text.Trim
            Dim Str_File2 As String = Me.TextBox10.Text.Trim

            ' ファイルをUudecodeします.
            If NSDC.UudecodeFile(Str_File1, Str_File2) Then
                MsgBox("Uudecodeしました。")
            Else
                MsgBox("Uudecodeに失敗しました。")
            End If

        Catch ex As Exception
        End Try
    End Sub

    ' Base64にエンコード.
    Private Sub Button17_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button17.Click
        Try
            Dim Str_File1 As String = Me.TextBox11.Text.Trim
            Dim Str_File2 As String = Me.TextBox12.Text.Trim

            If NSDC.EncodeBase64ToFile(Str_File1, Str_File2, Me.ComboBox6.SelectedItem, Me.ComboBox7.SelectedItem) Then
                MsgBox("Base64にエンコードしました。")
            Else
                MsgBox("Base64のエンコードに失敗しました。")
            End If

        Catch ex As Exception
        End Try
    End Sub

    ' Base64からデコード.
    Private Sub Button16_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button16.Click
        Try
            Dim Str_File1 As String = Me.TextBox11.Text.Trim
            Dim Str_File2 As String = Me.TextBox12.Text.Trim

            If NSDC.DecodeBase64ToFile(Str_File1, Str_File2) Then
                MsgBox("Base64からデコードしました。")
            Else
                MsgBox("Base64からのデコードに失敗しました。")
            End If

        Catch ex As Exception
        End Try
    End Sub

End Class
